%define upstream_name	 Test-Base
%define upstream_version 0.89

%global __requires_exclude Module::Install

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A Data Driven Testing Framework
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Algorithm::Diff) >= 1.150.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(Scalar::Util) >= 1.70.0
BuildRequires: perl(Spiffy) >= 0.400.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Diff) >= 0.350.0
BuildArch:  noarch

%description
Perl gives you a standard way to run tests with Test::Harness, and basic
testing primitives with Test::More. After that you are pretty much on your own
to develop a testing framework and philosophy. Test::More encourages you to
make your own framework by subclassing Test::Builder, but that is not trivial.
Test::Base gives you a way to write your own test framework base class that is
trivial.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%perl_vendorlib/Test
%_mandir/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.890.0-3.mga8
+ Revision: 1506234
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.890.0-2.mga7
+ Revision: 1286412
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 tv <tv> 0.890.0-1.mga7
+ Revision: 1220773
- update to 0.89

* Sun Jun 19 2016 pterjan <pterjan> 0.880.0-5.mga6
+ Revision: 1034097
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.880.0-4.mga6
+ Revision: 933366
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.880.0-3.mga5
+ Revision: 745448
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.880.0-2.mga5
+ Revision: 686400
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Wed Aug 27 2014 sander85 <sander85> 0.880.0-1.mga5
+ Revision: 668698
- update to 0.88

* Wed Aug 20 2014 sander85 <sander85> 0.870.0-1.mga5
+ Revision: 665925
- update to 0.87

* Tue Aug 19 2014 sander85 <sander85> 0.860.0-1.mga5
+ Revision: 665411
- update to 0.86

* Sat Aug 16 2014 sander85 <sander85> 0.830.0-1.mga5
+ Revision: 664482
- update to 0.83

* Sun Aug 10 2014 sander85 <sander85> 0.790.0-1.mga5
+ Revision: 661460
- update to 0.79

* Thu Aug 07 2014 sander85 <sander85> 0.760.0-1.mga5
+ Revision: 660575
- update to 0.76

* Tue Aug 05 2014 sander85 <sander85> 0.660.0-1.mga5
+ Revision: 659818
- update to 0.66

* Sun Aug 03 2014 sander85 <sander85> 0.650.0-1.mga5
+ Revision: 659445
- update to 0.65

* Mon Feb 24 2014 jquelin <jquelin> 0.620.0-1.mga5
+ Revision: 596367
- update to 0.62
- update to 0.61

* Fri Oct 18 2013 umeabot <umeabot> 0.600.0-3.mga4
+ Revision: 515100
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.600.0-2.mga3
+ Revision: 373350
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 07 2011 jquelin <jquelin> 0.600.0-1.mga1
+ Revision: 81764
- update to 0.60

* Wed Jan 19 2011 jquelin <jquelin> 0.590.0-1.mga1
+ Revision: 24260
- fix specs
- imported package perl-Test-Base


* Mon Aug 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.590.0-1mdv2010.1
+ Revision: 420264
- update to 0.59

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.580.0-1mdv2010.0
+ Revision: 408086
- rebuild using %%perl_convert_version

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.58-1mdv2010.0
+ Revision: 370186
- update to new version 0.58

* Sun Mar 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.56-1mdv2009.1
+ Revision: 353023
- update to new version 0.56

* Mon Dec 08 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdv2009.1
+ Revision: 311973
- update to new version 0.55

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.54-3mdv2009.0
+ Revision: 224133
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.54-2mdv2008.1
+ Revision: 180585
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.54-1mdv2008.0
+ Revision: 46230
- 0.54


* Wed Dec 13 2006 Olivier Thauvin <nanardon@mandriva.org> 0.53-1mdv2007.0
+ Revision: 96137
- 0.53
- Import perl-Test-Base

* Tue Jun 20 2006 Scott Karns <scottk@mandriva.org> 0.52-1mdv2007.0
- 0.52

* Wed Mar 08 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.50-2mdk
- No Perl module should ever require Module::Install

* Mon Feb 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.50-1mdk
- 0.50

* Mon Jan 30 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.48-1mdk
- 0.48

* Tue Jan 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.47-1mdk
- 0.47

* Thu Jan 19 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.46-2mdk
- Add BuildRequires
- Fix source url

* Thu Jan 19 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.46-1mdk
- 0.46

* Wed Jan 11 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.45-1mdk
- Initial MDV release.

